Jump to content

how can i use the filter in ssget


muthu123

Recommended Posts

Dear friends,

 

How can i allow the user to select only text,MTEXT or Dimensions?

 

(ssget (list (cons 0 "TEXT"))) ;; it is working

 

But why it is not working and tell me the solution.

(ssget (list (cons 0 "TEXT") (cons 0 "MEXT") (cons 0 "DIMENSION")))

 

Yours

Muthu.

Link to comment
Share on other sites

A little reading material...

 

SSGET

the underscore (_) is needed with W, F, WP, :S but not with X, A, C, CP, I, L, P, :E ...

(ssget '(2 2)) 
Create a selection set of the object passing through (2,2):
                                                                                              
+.  The undocumented “+.” mode forces (ssget) to remain in “point” mode, similar to 
   setting PickAuto to 0.... the "+." puts (ssget) into "point" mode. It helps the ":S"
   single-mode act just like (entsel) by avoiding implied selection windows.

A  All like "X" but filters frozen out
  Selects all objects on thawed layers.

B  Box 
  Selects all objects inside or crossing a rectangle specified by two points. If 
  the rectangle's points are specified from right to left, Box is equivalent to 
  Crossing. Otherwise, Box is equivalent to Window.

C  Crossing  Simular to Window selection
  Selects objects within and crossing an area defined by two points. A crossing 
  selection is displayed as dashed or otherwise highlighted to differentiate it 
  from window selection. Specifying the corners from right to left creates a 
  crossing selection. *** (Specifying the corners from left to right creates a window 
  selection.)  (ssget "_C" '(0 0) '(1 1))
  Caution: the area must be on the screen for this to work properly - CAB
  
CP Crossing Polygon 
  Selects objects within and crossing a polygon defined by specifying points. The 
  polygon can be any shape but cannot cross or touch itself. AutoCAD draws the 
  last segment of the polygon so that it is closed at all times. CPolygon is not 
  affected by the PICKADD system variable.
  (ssget "_CP" '((1 1)(3 1)(5 2)(2 4)))
  Example with filters (ssget "_CP" '(Point list) '(Filter List))
  (setq ss (ssget "_CP" '((0 0)(10 0)(10 10)(0 10)) '((0 . "INSERT") (66 . 1))  ))
  Caution: the area must be on the screen for this to work properly - CAB
  (vl-cmdf "._zoom" "_E") ; Extents
  
 Duplicates OK, else duplicates are ignored

:E Everything in aperture 
  Everything within the cursor's object selection pickbox.

F Fence 
 Selects all objects crossing a selection fence. The Fence method is similar to 
 CPolygon except that AutoCAD does not close the fence, and a fence can cross 
 itself. Fence is not affected by the PICKADD system variable.

G Groups 
 Selects all objects within a specified group.

I Implied 
 Implied selection (objects selected while PICKFIRST is in effect).

L Last 
 Last visible object added to the database

:L Rejects locked layers 

M  Multiple 
  Specifies multiple points without highlighting the objects, thus speeding up 
  the selection process for complex objects. The Multiple method also selects two 
  intersecting objects if the intersection point is specified twice.

:N Nested 
  Call ssnamex for additional information on container blocks and transformation 
  matrices for any entities selected during the ssget operation. This additional 
  information is available only for entities selected via graphical selection 
  methods such as Window, Crossing, and point picks.
  
  Unlike the other object selection methods, :N may return multiple entities with 
  the same entity name in the selection set. For example, if the user selects a 
  subentity of a complex entity such as a BlockReference, PolygonMesh, or old 
  style polyline, ssget looks at the subentity that is selected when determining 
  if it has already been selected. However,  ssget actually adds the main entity 
  (BlockReference, PolygonMesh, etc.) to the selection set. The result could be 
  multiple entries with the same entity name in the selection set (each will have 
  different subentity information for ssnamex to report).

P  Previous 
  Selects the most recent selection set. The Previous selection set is cleared by 
  operations that delete objects from the drawing. AutoCAD keeps track of whether 
  each selection set was specified in model space or paper space. The Previous 
  selection set is ignored if you switch spaces.

 Rejects Viewport 

:R Allows entities in a long transaction to be selected.

:S Force single object selection only 

:U Enables subentity selection - 2006+
Cannot be combined with the  duplicate (":D") or nested (":N")  selection modes.
In this  mode, top-level  entities are  selected by  default, but  the user  can
attempt  to  select  subentities  by pressing  the  CTRL  key  while making  the
selection. This option  is supported only  with interactive selections,  such as
window, crossing, and polygon. It is  not supported for all, filtered, or  group
selections.

:V Forces subentity selection - 2006+
Treats all interactive,  graphic selections performed  by the user  as subentity
selections. The returned  selection set contains  subentities only. This  option
cannot be combined with the  duplicate (":D") or nested (":N")  selection modes.
This option is  supported only with  interactive selections, such  as window and
crossing. It is not supported for all, filtered, or group selections.

W  Window 
  Selects all objects completely inside a rectangle defined by two points. 
  Specifying the corners from left to right creates a window selection. 
  (Specifying the corners from right to left creates a crossing selection.)

WP Window Polygon 
  Selects objects completely inside a polygon defined by points. The polygon can 
  be any shape but cannot cross or touch itself. AutoCAD draws the last segment of 
  the polygon so that it is closed at all times. WPolygon is not affected by the 
  PICKADD system variable.

X  Extended search (search whole database) 
  Entire database. If you specify the X selection method and do not provide a 
  filter-list, ssget selects all entities in the database, including entities on 
  layers that are off, frozen, and out of the visible screen.
  
  Also at the command prompt "Select objects:" you can enter
  Add, Remove, Undo, 

:U Enables subentity selection. Cannot be combined with the duplicate (":D") or 
  nested (":N") selection modes. In this mode, top-level entities are selected by 
  default, but the user can attempt to select subentities by pressing the CTRL key 
  while making the selection. This option is supported only with interactive 
  selections, such as window, crossing, and polygon. It is not supported for all, 
  filtered, or group selections.

:V Forces subentity selection. Treats all interactive, graphic selections 
  performed by the user as subentity selections. The returned selection set 
  contains subentities only. This option cannot be combined with the duplicate 
  (":D") or nested (":N") selection modes. This option is supported only with 
  interactive selections, such as window and crossing. It is not supported for 
  all, filtered, or group selections.

Systen Var
 PICKADD controls whether subsequent selections replace the current selection set or add to it.



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;




   *  (ssget "_:S") - selecting a single object
   * (ssget "_:E") - selecting all objects crossing the selection box (can be also combined to e.g. (ssget "_:E:S")
   * (ssget "_:N") - selecting objects including nested/child objects - e.g. with block references
   * (ssget "_:D") - duplicate objects counted separately (2x selected object = 2 selections)
   * (ssget "_:L") - stops users from selecting objects on locked layers
   * (ssget "_:P") - rejects selection of viewports
   * (ssget "+.") - allows window selection even in the single selection mode - (ssget "+.:E:S") (may not work in localized versions) 

:N Call ssnamex for additional information on container blocks and transformation matrices for any entities selected during the ssget operation. This additional information is available only for entities selected through graphical selection methods such as Window, Crossing, and point picks. Unlike the other object selection methods, :N may return multiple entities with the same entity name in the selection set. For example, if the user selects a subentity of a complex entity such as a BlockReference, PolygonMesh, or old style polyline, ssget looks at the subentity that is selected when determining if it has already been selected. However, ssget actually adds the main entity (BlockReference, PolygonMesh, and so on) to the selection set. The result could be multiple entries with the same entity name in the selection set (each will have different subentity information for ssnamex to report).

:R Allows entities in a long transaction to be selected.

:U Enables subentity selection. Cannot be combined with the duplicate (":D") or nested (":N") selection modes. In this mode, top-level entities are selected by default, but the user can attempt to select subentities by pressing the CTRL key while making the selection. This option is supported only with interactive selections, such as window, crossing, and polygon. It is not supported for all, filtered, or group selections.

:V Forces subentity selection. Treats all interactive, graphic selections performed by the user as subentity selections. The returned selection set contains subentities only. This option cannot be combined with the duplicate (":D") or nested (":N") selection modes. This option is supported only with interactive selections, such as window and crossing. It is not supported for all, filtered, or group selections.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...